## sphinxygen 1.0.10

=== meson_options.txt ===
# Copyright 2025 David Robillard <d@drobilla.net>
# SPDX-License-Identifier: 0BSD OR ISC

option(
    'install',
    type: 'boolean',
    value: false,
    description: 'Install executable script',
)

## sphinxygen 1.0.4

=== debian/changelog ===
sphinxygen (1.0.4-2) unstable; urgency=medium

  * Source-only upload

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 10 Nov 2023 23:48:56 +0100

sphinxygen (1.0.4-1) unstable; urgency=low

  * Initial release (Closes: #1055472)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 06 Nov 2023 22:25:07 +0100

=== debian/control ===
Source: sphinxygen
Section: python
Priority: optional
Maintainer: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/drobilla/sphinxygen
Vcs-Git: https://salsa.debian.org/sramacher/sphinxygen.git
Vcs-Browser: https://salsa.debian.org/sramacher/sphinxygen

Package: sphinxygen
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: Sphinx ReST generator for Doxygen XML
 Sphinxygen generates Sphinx markup to describe a C API from an XML description
 extracted by Doxygen.
 .
 For programmatic use within Python, Sphinxygen's functionality is also
 provided as Python module.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinxygen

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
# try also https://pypi.debian.net/sphinxygen/watch
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sphinxygen/sphinxygen-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sphinxygen 1.0.10

=== debian/changelog ===
sphinxygen (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * debian/: Use dh-sequence-python3
  * debian/: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Feb 2025 21:36:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/drobilla/sphinxygen
 Vcs-Git: https://salsa.debian.org/sramacher/sphinxygen.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=sphinxygen

%:
	dh $@ --buildsystem=pybuild

## sphinxygen 1.0.12

=== debian/changelog ===
sphinxygen (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * debian/control:
    - Drop RRR: no
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Nov 2025 18:49:22 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,7 @@
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://gitlab.com/drobilla/sphinxygen
 Vcs-Git: https://salsa.debian.org/sramacher/sphinxygen.git
 Vcs-Browser: https://salsa.debian.org/sramacher/sphinxygen

=== debian/watch ===
Version: 5

Source: https://pypi.python.org/packages/source/s/sphinxygen/
Matching-Pattern: sphinxygen-@ANY_VERSION@@ARCHIVE_EXT@
